XmVaCreateMainWindow(3)

NAME
XmVaCreateMainWindow, XmVaCreateManagedMainWindow — A MainWindow widget convenience creation functions.

SYNOPSIS

#include <Xm/MainW.h>

Widget XmVaCreateMainWindow(
Widget parent,
String name,
...);

Widget XmVaCreateManagedMainWindow(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a MainWindow widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateMainWindow function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedMainWindow function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of MainWindow and its associated resources, see XmMainWindow(3).

RETURN

Returns the MainWindow widget ID.

RELATED

XmMainWindow(3), XmCreateMainWindow(3), XtCreateWidget(3), and XtCreateManagedWidget(3).